Page MenuHomePhabricator

Move all fields of '-cc1' option related classes into def file databases
ClosedPublic

Authored by dang on Aug 20 2020, 7:26 AM.

Details

Summary

Once the new option parsing system is committed, this will allow to generate a
check to ensure that correct command line generation happens

Diff Detail

Event Timeline

dang created this revision.Aug 20 2020, 7:26 AM
dang requested review of this revision.Aug 20 2020, 7:26 AM
This revision is now accepted and ready to land.Aug 27 2020, 10:12 AM
dang updated this revision to Diff 288664.Aug 28 2020, 11:56 AM

Apply clang-format nit and rebase

This revision was landed with ongoing or failed builds.Sep 2 2020, 5:07 AM
This revision was automatically updated to reflect the committed changes.

Looks like this broke tests on windows: http://45.33.8.238/win/23171/step_7.txt

Please take a look, and if it takes a while to fix, please revert for now.

dyung added a subscriber: dyung.Sep 2 2020, 10:39 AM

I have reverted this change in 8d2d0e84857cb1f2d01456eb433b5172d3a0772b to get the build bots green again.

Thanks for the revert.

In addition to the one eabi test, we saw widespread msan use-of-uninitialized-value errors from here: https://github.com/llvm/llvm-project/blob/master/llvm/lib/Target/ARM/ARMTargetMachine.cpp#L229. I think it would explain the eabi test failure.

See also: http://lab.llvm.org:8011/builders/sanitizer-x86_64-linux-bootstrap-msan/builds/21663/steps/check-clang%20msan/logs/stdio

Just to also jump in on the thread: This broke the modules builds. I fixed that in https://reviews.llvm.org/rGe0e7eb2e2648aee83caf2ecfe2972ce2f653d306 so please recommit that patch or merge it into this revision before relanding. Thanks!

dang added a comment.Sep 3 2020, 10:22 AM

Yes of course. This is a prerequisite for some other changes that are waiting to land and need polishing. Thanks for doing the revert. I will investigate the failures and recommit it when appropriate.